org.apache.pdfbox.cos

## Class COSInteger

- java.lang.Object
- - org.apache.pdfbox.cos.COSBase
  - - org.apache.pdfbox.cos.COSNumber
    - - org.apache.pdfbox.cos.COSInteger

All Implemented Interfaces:
  COSObjectable

    public final class COSInteger
    extends COSNumber

This class represents an integer number in a PDF document.

Author:
  Ben Litchfield

### Field Summary

Fields
`static COSInteger` `ONE` Constant for the number one.
`static COSInteger` `THREE` Constant for the number three.
`static COSInteger` `TWO` Constant for the number two.
`static COSInteger` `ZERO` Constant for the number zero.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `accept(ICOSVisitor visitor)` visitor pattern double dispatch method.
`boolean` `equals(Object o)`
`float` `floatValue()` polymorphic access to value as float.
`static COSInteger` `get(long val)` Returns a COSInteger instance with the given value.
`int` `hashCode()`
`int` `intValue()` Polymorphic access to value as int This will get the integer value of this object.
`boolean` `isValid()` Indicates whether this instance represents a valid value.
`long` `longValue()` Polymorphic access to value as int This will get the integer value of this object.
`String` `toString()`
`void` `writePDF(OutputStream output)` This will output this string as a PDF object.

### Methods inherited from class org.apache.pdfbox.cos.COSNumber

`get`

### Methods inherited from class org.apache.pdfbox.cos.COSBase

`getCOSObject, getKey, isDirect, setDirect, setKey`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ZERO

    public static final COSInteger ZERO

Constant for the number zero.

Since:
  Apache PDFBox 1.1.0

#### ONE

    public static final COSInteger ONE

Constant for the number one.

Since:
  Apache PDFBox 1.1.0

#### TWO

    public static final COSInteger TWO

Constant for the number two.

Since:
  Apache PDFBox 1.1.0

#### THREE

    public static final COSInteger THREE

Constant for the number three.

Since:
  Apache PDFBox 1.1.0

### Method Detail

#### get

    public static COSInteger get(long val)

Returns a COSInteger instance with the given value.

Parameters:
  `val` - integer value
Returns:
  COSInteger instance

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### floatValue

    public float floatValue()

polymorphic access to value as float.

Specified by:
  `floatValue` in class `COSNumber`
Returns:
  The float value of this object.

#### intValue

    public int intValue()

Polymorphic access to value as int This will get the integer value of this object.

Specified by:
  `intValue` in class `COSNumber`
Returns:
  The int value of this object,

#### longValue

    public long longValue()

Polymorphic access to value as int This will get the integer value of this object.

Specified by:
  `longValue` in class `COSNumber`
Returns:
  The int value of this object,

#### isValid

    public boolean isValid()

Indicates whether this instance represents a valid value.

Returns:
  true if the value is valid

#### accept

    public void accept(ICOSVisitor visitor)
                throws IOException

visitor pattern double dispatch method.

Specified by:
  `accept` in class `COSBase`
Parameters:
  `visitor` - The object to notify when visiting this object.
Throws:
  `IOException` - If an error occurs while visiting this object.

#### writePDF

    public void writePDF(OutputStream output)
                  throws IOException

This will output this string as a PDF object.

Parameters:
  `output` - The stream to write to.
Throws:
  `IOException` - If there is an error writing to the stream.